package com.chenyang.nse.bussiness.engine.infa.basic.xmlbean;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = ""
)
@XmlRootElement(
   name = "SAPOUTPUTPORT"
)
public class SAPOUTPUTPORT {
   @XmlAttribute(
      name = "PORTNAME"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String portname;
   @XmlAttribute(
      name = "FIELDNAME"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String fieldname;
   @XmlAttribute(
      name = "VARNAME"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String varname;
   @XmlAttribute(
      name = "DSQINSTNAME",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String dsqinstname;

   public String getPORTNAME() {
      return this.portname;
   }

   public void setPORTNAME(String value) {
      this.portname = value;
   }

   public String getFIELDNAME() {
      return this.fieldname;
   }

   public void setFIELDNAME(String value) {
      this.fieldname = value;
   }

   public String getVARNAME() {
      return this.varname;
   }

   public void setVARNAME(String value) {
      this.varname = value;
   }

   public String getDSQINSTNAME() {
      return this.dsqinstname;
   }

   public void setDSQINSTNAME(String value) {
      this.dsqinstname = value;
   }
}
